"{ Package: 'jv:smallsense' }"

"{ NameSpace: SmallSense }"

JavaEditSupport subclass:#GroovyEditSupport
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SmallSense-Groovy'
!

!GroovyEditSupport methodsFor:'accessing'!

language
    "superclass SmallSenseEditSupport says that I am responsible to implement this method"

    | groovyLanguageClass |

    groovyLanguageClass := Smalltalk at:#GroovyLanguage.
    ^ groovyLanguageClass notNil ifTrue:[ groovyLanguageClass instance ] ifFalse: [ nil ].

    "Created: / 04-10-2013 / 07:49:54 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GroovyEditSupport methodsFor:'accessing-classes'!

completionEngineClass
    "Returns a code completion engine class or nil, of 
     no completion is supported"

    ^ SmallSense::GroovyCompletionEngineSimple

    "Created: / 04-10-2013 / 07:46:00 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

scannerClass
    "Returns a class to use for scanning lines. If nil, scanning is
     not supported and scanLine* methods will return an empty array."

    ^ (Smalltalk at: #GroovyScanner)

    "Created: / 22-10-2013 / 00:38:55 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

